%define name 	Ted
%define version 2.14
%define release 1mdk

Summary:        Ted, an easy Rich Text Processor
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Group:          Office
Source:         ftp://ftp.nluug.nl/pub/editors/ted/ted-%{version}.src.tar.bz2
URL:            http://www.nllgg.nl/Ted/index.html
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:  libgtk+1.2-devel libpng-devel libjpeg-devel libxpm-devel libtiff-devel

%description
Ted is a GTK based word processor for the RTF format.  Features include
embedding of graphics, footnotes, bookmarks, tables, sections, and spell
checking.  It uses its own fonts and can print to postscript or PDF format.
The scripts rtf2ps.sh and rtf2pdf.sh are also included for command-line file 
conversions.

%prep
%setup -q
perl -p -i -e 's/\@CFLAGS\@/\$\(RPM_OPT_FLAGS\)/g' `find -name 'makefile.in'`

%build
make -j2 CONFIGURE_OPTIONS="--with-GTK" compile.shared

%install
rm -fr %buildroot
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
mkdir -p $RPM_BUILD_ROOT/usr/local
cp %name/%name $RPM_BUILD_ROOT/%_bindir
cd tedPackage
tar xf TedBindist.tar
cp %name/* $RPM_BUILD_ROOT/%_datadir/%name
mv $RPM_BUILD_ROOT/%_datadir/%name/*.sh $RPM_BUILD_ROOT/%_bindir
cp -r afm $RPM_BUILD_ROOT/%_datadir/%name
cp -r ind $RPM_BUILD_ROOT/%_datadir/%name
ln -s %_datadir/%name/afm $RPM_BUILD_ROOT/usr/local/afm
ln -s %_datadir/%name/ind $RPM_BUILD_ROOT/usr/local/ind
ln -s %_datadir/%name $RPM_BUILD_ROOT/usr/local/%name

#Menu Entry
mkdir -p $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}): command="/usr/bin/Ted" icon="wordprocessor_section.png" needs="x11" section="Office/Wordprocessors" title="Ted" longtitle="Ted Rich Text Editor" mimetypes="text/rtf,text/richtext"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc gpl.txt README
%_menudir/%name
%_bindir/%name
%_bindir/*.sh
%_datadir/%name
/usr/local/afm
/usr/local/ind
/usr/local/%name

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Apr 4 2003 Austin Acton <aacton@yorku.ca> 2.14-1mdk
- 2.14
- uses GTK1.2 not GTK2.0

* Fri Mar 14 2003 Austin Acton <aacton@yorku.ca> 2.13-1mdk
- 2.13

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 2.12-2mdk
- rebuild

* Sun Dec 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.12-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- bump version
	- switch to GTK2 GUI
	- major overhaul: fix directories, use opt_flags, tidy specfile
	- add rtf2ps.sh and rtf2pdf.sh
	- redo description

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.11-1mdk
- s/postrun/postun/
- png icon
- bzip2 patch
- from Austin Acton <aacton@yorku.ca> :
	- initial creation for Mandrake 8.2+
